package it.inaf.oats.ia2.tapschemamanager.datalayer;

import it.inaf.oats.ia2.tapschemamanager.contract.TapSchema;
import it.inaf.oats.ia2.tapschemamanager.contract.TapSchemaVersion;
import java.sql.SQLException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Factory for {@link TapSchema} instances.
 *
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public class TapSchemaFactory {

    private final static Logger log = LoggerFactory.getLogger(TapSchemaFactory.class);

    public static TapSchema getTapSchema(TapSchemaVersion version, DBWrapper dbWrapper, String tapSchemaName, boolean exists) throws SQLException {
        return new TapSchemaImpl(version, dbWrapper, tapSchemaName, exists);
    }
}
